Template::Plugin::Format(3)

NAME
Template::Plugin::Format - Plugin to create formatting functions

SYNOPSIS
    [% USE format %]
    [% commented = format('# %s') %]
    [% commented('The cat sat on the mat') %]

    [% USE bold = format('<b>%s</b>') %]
    [% bold('Hello') %]

DESCRIPTION
The format plugin constructs sub-routines which format text according to a printf()-like format string.

AUTHOR
Andy Wardley <abw@wardley.org>

<http://wardley.org/|http://wardley.org/>

VERSION
2.7, distributed as part of the Template Toolkit version 2.19, released on 27 April 2007.

COPYRIGHT
  Copyright (C) 1996-2007 Andy Wardley.  All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin